Ask Your Question
0

using rets-version=rets/1.8 I am getting response unauthorized

asked 2021-12-20 11:18:27 -0500

updated 2021-12-20 11:19:07 -0500

Earlier I am using the 1.7.2 version of RETS now I am using the 1.8 so credentials will same or not for the upgraded version? new version of RETS i am getting unauthorized

edit retag flag offensive close merge delete

Comments

Authentication is the same for RETS/1.7.2 and RETS/1.8.
What RETS URL and login account name are you using (NO PASSWORDS)?

bwolven gravatar imagebwolven ( 2021-12-20 11:43:48 -0500 )edit

Were you able to get this working?

bwolven gravatar imagebwolven ( 2021-12-21 13:50:17 -0500 )edit

We are still getting the unauthorized RETS URL- http://yuma.rets.paragonrels.com/rets... accountname - genreal

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2021-12-22 04:45:43 -0500 )edit

I am seeing requests from RETS Connector for your account as recent as today?
Are you still not working?
. I was able to connect using your account using RETS/1.7.2 and RETS/1.8

bwolven gravatar imagebwolven ( 2021-12-22 09:37:18 -0500 )edit

how can you are able to connect with using RETS/1.8? I am still not able to connect with RETS 1.8. I am using the below parameter. "UserAgent": "RETS-Connector/1.8", "ServerVersion": "1.8", "LoginUrl": "http://yuma.rets.paragonrels.com/rets/fnisrets.aspx/YUMA/login?rets-version=rets/1.8" Today we have used the RETS 1.7.2 and 1.8 both when we are using the 1.7.2 at that we are able to fetch the data. If I am missing something for 1.8 Please let me know.

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2021-12-23 08:22:39 -0500 )edit

Are you using RETS Connector to connect to RETS or are you just using that as your User-Agent?
The only change needed is to set the rets-version=RETS/1.8 which can be set in the RETS connector server options.
If you aren't using RETS Connector, you can add the header: RETS-Version=RETS/1.8 in each of your requests or you can pass it as the URL parameter like shown on your login URL above.
You don't need to change the User-Agent or the ServerVersion.

bwolven gravatar imagebwolven ( 2021-12-23 09:41:22 -0500 )edit

Now I am able to connect with RETS 1.8 as per your suggestion dont need to change User-Agent or the ServerVersion. But here I am facing issue while fetching the data after some time I am disconnecting automatically.

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2021-12-23 11:13:54 -0500 )edit

Sometimes pulling metadata can be a little slow. Make sure to set your connection timeout to a longer value.

bwolven gravatar imagebwolven ( 2021-12-23 11:33:59 -0500 )edit

currently we didn't have gives any timeout value where we need to add the time out value? what is the parameter name? Can I use Timeout : {time_in_seconds}

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2021-12-23 11:36:18 -0500 )edit

Any Update?

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2022-01-24 06:08:02 -0500 )edit

Are you still having issues with this?

bwolven gravatar imagebwolven ( 2022-02-22 14:54:52 -0500 )edit

Yes I am still facing that issue!

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2022-02-23 06:34:00 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-12-27 09:08:43 -0500

If you are using RETS Connector, on the General tab there should be something that says: HTTP Timeout(seconds) - here is where you would change that value.

edit flag offensive delete link more

Comments

I have used the time out but still after some time I am getting unauthorized actually I am not to fetch the photos using the RETS connector In my database I Have 616 active properties but 188 properties don't have the images I am facing this issue since last 3-4 weeks Could you please help me.

Rakhesh Kumar gravatar imageRakhesh Kumar ( 2022-01-04 07:23:40 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2021-12-20 11:18:27 -0500

Seen: 229 times

Last updated: Dec 27 '21